-- プラグイン情報
function getClientInfo()
  return {
    name = "選択トラックの色をキャラのイメージカラーに変更",
    category = "トラック",
    author = "水っぽいスープ",
    versionNumber = 1,
    minEditorVersion = 65540
  }
end


-- メイン関数
function main()

-- 自作ダイアログの中身
  local myForm = {
    title = "選択トラックの色を変更",
    message = "色を選択してください。",
    buttons = "OkCancel",
    widgets = {

      {
        name = "cb1", type = "ComboBox",
        label = "キャラ名での色選択",
        choices = {"琴葉茜（桃色）", "琴葉葵（水色）", "小春六花（紫）", "弦巻マキ（赤）", "ついなちゃん（橙）", "京町セイカ（緑）"},
        default = 0
      }

    }
  }

-- ダイアログ表示
  local result = SV:showCustomDialog(myForm)

-- 確定を押した場合
  if result.status then

     local color = ""


-- 選択肢による場合分け
     local num = result.answers.cb1

--"琴葉茜（桃色）"
        if num == 0 then
          color = "fffa95be"
--"琴葉葵（水色）"
        elseif num == 1 then
          color = "ff7ecdf4"
--"小春六花（紫）"
        elseif num == 2 then
          color = "ffbdc0d6"
--"弦巻マキ（赤）"
        elseif num == 3 then
          color = "ffd8262f"
--"ついなちゃん（橙）" 
        elseif num == 4 then
          color = "ffffad31"
--"京町セイカ（緑）"
        else
          color = "ffc8fc97"
        end
        
    SV:getMainEditor():getCurrentTrack():setDisplayColor(color)
    

-- 画面の更新代わりに実行
    local index = SV:getProject():addTrack(SV:create("Track"))
    SV:getProject():removeTrack(index)

  end


-- スクリプト終了
  SV:finish()
end


